# Generated by Django 3.0.3 on 2020-02-26 16:11

from django.conf import settings
import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Estado',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uf', models.CharField(blank=True, max_length=45, null=True)),
                ('nome', models.CharField(blank=True, max_length=45, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ModoDeVida',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=60, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Municipio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(blank=True, max_length=45, null=True)),
                ('geoponto', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('poligono', django.contrib.gis.db.models.fields.PolygonField(blank=True, null=True, srid=4326)),
                ('estado', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.Estado')),
            ],
        ),
        migrations.CreateModel(
            name='Organizacao',
            fields=[
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('nome', models.CharField(max_length=80)),
                ('criacao', models.DateTimeField(auto_now_add=True)),
                ('ultima_alteracao', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Territorio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=255, null=True)),
                ('poligono', django.contrib.gis.db.models.fields.PolygonField(blank=True, null=True, srid=4326)),
                ('ano_fundacao', models.IntegerField(blank=True, null=True)),
                ('qtde_familias', models.IntegerField(blank=True, null=True)),
                ('status', models.IntegerField(blank=True, null=True)),
                ('criacao', models.DateTimeField(auto_now_add=True)),
                ('ultima_alteracao', models.DateTimeField(auto_now=True)),
                ('modo_de_vida', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.ModoDeVida')),
                ('municipio_referencia', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.Municipio')),
            ],
        ),
        migrations.CreateModel(
            name='TipoAreaDeUso',
            fields=[
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('nome', models.CharField(blank=True, max_length=255, null=True)),
                ('descricao', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TipoComunidade',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=60, null=True)),
                ('descricao', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TipoConflito',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=255, null=True)),
                ('descricao', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TipoProducao',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=60, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='usuaria',
            name='codigo_uso_celular',
            field=models.CharField(blank=True, max_length=8, null=True),
        ),
        migrations.AddField(
            model_name='usuaria',
            name='is_admin',
            field=models.BooleanField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='usuaria',
            name='is_reviewer',
            field=models.BooleanField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='usuaria',
            name='telefone',
            field=models.CharField(blank=True, max_length=25, null=True),
        ),
        migrations.CreateModel(
            name='TipoAnexo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=45, null=True)),
                ('mae', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.TipoAnexo')),
            ],
        ),
        migrations.CreateModel(
            name='TerritorioUsuaria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_editor', models.BooleanField(blank=True, null=True)),
                ('territorio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.Territorio')),
                ('usuaria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='territorio',
            name='tipo_comunidade',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.TipoComunidade'),
        ),
        migrations.AddField(
            model_name='territorio',
            name='tipo_producao',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.TipoProducao'),
        ),
        migrations.CreateModel(
            name='OrganizacaoUsuaria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('is_admin', models.BooleanField()),
                ('organizacao', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.Organizacao')),
                ('usuaria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Conflito',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=45, null=True)),
                ('posicao', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('descricao', models.CharField(blank=True, max_length=45, null=True)),
                ('criacao', models.DateTimeField(auto_now_add=True)),
                ('ultima_alteracao', models.DateTimeField(auto_now=True)),
                ('territorio', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.Territorio')),
                ('tipo_conflito', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.TipoConflito')),
            ],
        ),
        migrations.CreateModel(
            name='AreaDeUso',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=45, null=True)),
                ('posicao', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('descricao', models.TextField(blank=True, null=True)),
                ('criacao', models.DateTimeField(auto_now_add=True)),
                ('ultima_alteracao', models.DateTimeField(auto_now=True)),
                ('territorio', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.Territorio')),
                ('tipo_area_de_uso', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.TipoAreaDeUso')),
            ],
        ),
        migrations.CreateModel(
            name='Anexo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(max_length=80)),
                ('descricao', models.TextField()),
                ('mimetype', models.CharField(blank=True, max_length=80, null=True)),
                ('arquivo', models.FileField(upload_to='anexos/%Y/%m/%d/')),
                ('criacao', models.DateTimeField(auto_now_add=True)),
                ('ultima_alteracao', models.DateTimeField(auto_now=True)),
                ('territorio', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.Territorio')),
                ('tipo_anexo', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.TipoAnexo')),
            ],
        ),
    ]
